# -*- coding: us-ascii -*-
from hwhealth import tools

SUPPORTED_STORAGE = {
    "LSI Logic / Symbios Logic": {
        "SAS2308 PCI-Express Fusion-MPT SAS-2": tools.Sas2Ircu,
        "SAS3008 PCI-Express Fusion-MPT SAS-3": tools.Sas3Ircu,
    },
    # 'Mellanox Technologies': {
    #     'MT27710 Family [ConnectX-4 Lx]': lambda: 'mlxconfig',
    #     'MT27700 Family [ConnectX-4]': lambda: 'mlxconfig',
    # },
    "Intel Corporation": {"PCIe Data Center SSD": tools.Nvme},
    "Samsung Electronics Co Ltd": {
        "NVMe SSD Controller SM961/PM961": tools.Nvme,
        "NVMe SSD Controller 172Xa/172Xb": tools.Nvme,
    },
    "Hewlett-Packard Company": {
        "Smart Array Gen9 Controllers": tools.SsaCli,
        "Smart Storage PQI 12G SAS/PCIe 3": tools.ILOrest,
    },
}

SUPPORTED_SYSTEMS = {
    "HPE": {
        # tools.HpLog,  # not sure if this works on gen10+
        tools.ILOrest,
    },
    "HP": {tools.HpLog, tools.SsaCli},
}

SUPPORTED_DRIVERS = {
    # # ES3000 SSD /dev/hioa
    # 'hio': {
    #     'apt': 'hioa',
    #     'tool': lambda: 'hio_info',
    # },
    "nvme": tools.Nvme,
    "megaraid_sas": tools.MegaCLI,
}
