EXPECTED = {
    "lshw.dell.01.json": {
        "system": {
            "description": "Rack Mount Chassis",
            "hostname": "compute-4",
            "product": "PowerEdge R730 (SKU=NotProvided;ModelName=PowerEdge R730, DBE)",  # noqa E501
            "serial": "3YMGWL2",
            "vendor": "Dell Inc.",
            "version": None,
        },
        "motherboard": [
            {
                "description": "Motherboard",
                "product": "04N3DF",
                "serial": ".3YMGWL2.CNFCP0077F0059.",
                "vendor": "Dell Inc.",
                "version": "A10",
            }
        ],
        "storage_class_info": [
            {
                "businfo": "pci@0000:03:00.0",
                "driver": "megaraid_sas",
                "has_children": True,
                "product": "MegaRAID SAS-3 3108 [Invader]",
                "vendor": "LSI Logic / Symbios Logic",
            },
            {
                "businfo": "pci@0000:00:11.4",
                "driver": "ahci",
                "has_children": False,
                "product": "C610/X99 series chipset sSATA Controller [AHCI mode]",  # noqa E501
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:00:1f.2",
                "driver": "ahci",
                "has_children": False,
                "product": "C610/X99 series chipset 6-Port SATA Controller [AHCI mode]",  # noqa E501
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:82:00.0",
                "driver": "nvme",
                "has_children": False,
                "product": "PCIe Data Center SSD",
                "vendor": "Intel Corporation",
            },
        ],
        "disk_class_info": [
            {
                "businfo": "scsi@0:2.0.0",
                "dev": "8:0",
                "logicalname": "/dev/sda",
                "physid": "2.0.0",
                "product": "PERC H730P Mini",
                "serial": "00174c7006cbabeb2100aa7515604609",
                "size": 4000225165312,
                "storage_parent": "MegaRAID SAS-3 3108 [Invader]",
            },
            {
                "businfo": "scsi@0:2.1.0",
                "dev": "8:16",
                "logicalname": "/dev/sdb",
                "physid": "2.1.0",
                "product": "PERC H730P Mini",
                "serial": "00f7e28406ccabeb2100aa7515604609",
                "size": 4000225165312,
                "storage_parent": "MegaRAID SAS-3 3108 [Invader]",
            },
            {
                "businfo": "scsi@0:2.2.0",
                "dev": "8:32",
                "logicalname": "/dev/sdc",
                "physid": "2.2.0",
                "product": "PERC H730P Mini",
                "serial": "0024b29406cdabeb2100aa7515604609",
                "size": 4000225165312,
                "storage_parent": "MegaRAID SAS-3 3108 [Invader]",
            },
            {
                "businfo": "scsi@0:2.3.0",
                "dev": "8:48",
                "logicalname": "/dev/sdd",
                "physid": "2.3.0",
                "product": "PERC H730P Mini",
                "serial": "007a79a506ceabeb2100aa7515604609",
                "size": 4000225165312,
                "storage_parent": "MegaRAID SAS-3 3108 [Invader]",
            },
            {
                "businfo": "scsi@0:2.4.0",
                "dev": "8:64",
                "logicalname": ["/dev/sde", "/srv/node/sde"],
                "physid": "2.4.0",
                "product": "PERC H730P Mini",
                "serial": "0005ebba06cfabeb2100aa7515604609",
                "size": 4000225165312,
                "storage_parent": "MegaRAID SAS-3 3108 [Invader]",
            },
            {
                "businfo": "scsi@0:2.5.0",
                "dev": "8:80",
                "logicalname": ["/dev/sdf", "/srv/node/sdf"],
                "physid": "2.5.0",
                "product": "PERC H730P Mini",
                "serial": "005c35cc06d1abeb2100aa7515604609",
                "size": 4000225165312,
                "storage_parent": "MegaRAID SAS-3 3108 [Invader]",
            },
            {
                "businfo": "scsi@0:2.6.0",
                "dev": "8:96",
                "logicalname": ["/dev/sdg", "/srv/node/sdg"],
                "physid": "2.6.0",
                "product": "PERC H730P Mini",
                "serial": "00e046dd06d2abeb2100aa7515604609",
                "size": 4000225165312,
                "storage_parent": "MegaRAID SAS-3 3108 [Invader]",
            },
        ],
        "network_class_info": [
            {
                "businfo": "pci@0000:01:00.0",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "eno1",
                "product": "MT27710 Family [ConnectX-4 Lx]",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Mellanox Technologies",
            },
            {
                "businfo": "pci@0000:01:00.1",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "eno2",
                "product": "MT27710 Family [ConnectX-4 Lx]",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Mellanox Technologies",
            },
            {
                "businfo": "pci@0000:01:02.6",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s2f6",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:02.7",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s2f7",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:03.0",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s3",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:03.1",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s3f1",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:03.2",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s3f2",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:03.3",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s3f3",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:03.4",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s3f4",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:03.5",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s3f5",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:03.6",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s3f6",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:03.7",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s3f7",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:04.0",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s4",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:04.1",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s4f1",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:04.2",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s4f2",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:04.3",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s4f3",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:04.4",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s4f4",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:04.5",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s4f5",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:04.6",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s4f6",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:04.7",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s4f7",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:05.0",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s5",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:05.1",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s5f1",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:00.0",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s0f0",
                "product": "MT27710 Family [ConnectX-4 Lx]",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Mellanox Technologies",
            },
            {
                "businfo": "pci@0000:83:00.1",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s0f1",
                "product": "MT27710 Family [ConnectX-4 Lx]",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Mellanox Technologies",
            },
            {
                "businfo": "pci@0000:83:02.6",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s2f6",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:02.7",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s2f7",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:03.0",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s3",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:03.1",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s3f1",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:03.2",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s3f2",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:03.3",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s3f3",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:03.4",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s3f4",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:03.5",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s3f5",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:03.6",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s3f6",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:03.7",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s3f7",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:04.0",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s4",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:04.1",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s4f1",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:04.2",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s4f2",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:04.3",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s4f3",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:04.4",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s4f4",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:04.5",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s4f5",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:04.6",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s4f6",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:04.7",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s4f7",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:05.0",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s5",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:05.1",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s5f1",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
        ],
    },
    "lshw.dell.02.json": {
        "system": {
            "description": "Notebook",
            "hostname": "pluto",
            "product": "Precision 7520 (07B0)",
            "serial": "1N79PH2",
            "vendor": "Dell Inc.",
            "version": None,
        },
        "motherboard": [
            {
                "description": "Motherboard",
                "product": "04FCWT",
                "serial": "/1N79PH2/CN129637BG002D/",
                "vendor": "Dell Inc.",
                "version": "A00",
            }
        ],
        "storage_class_info": [
            {
                "businfo": "pci@0000:00:17.0",
                "driver": "ahci",
                "has_children": False,
                "product": "Q170/Q150/B150/H170/H110/Z170/CM236 Chipset SATA Controller [AHCI Mode]",  # noqa E501
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:3c:00.0",
                "driver": "nvme",
                "has_children": False,
                "product": "NVMe SSD Controller SM961/PM961",
                "vendor": "Samsung Electronics Co Ltd",
            },
        ],
        "disk_class_info": [],
        "network_class_info": [
            {
                "businfo": "pci@0000:01:00.0",
                "driver": "iwlwifi",
                "driverversion": "4.15.0-46-generic",
                "firmware": "34.0.1",
                "logicalname": "wlp1s0",
                "product": "Wireless 8265 / 8275",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:00:1f.6",
                "driver": "e1000e",
                "driverversion": "3.2.6-k",
                "firmware": "0.1-3",
                "logicalname": "enp0s31f6",
                "product": "Ethernet Connection (5) I219-LM",
                "serial": "de:ad:be:ef:00:ef",
                "speed": "1Gbit/s",
                "vendor": "Intel Corporation",
            },
        ],
    },
    "lshw.hp.json": {
        "system": {
            "description": "Rack Mount Chassis",
            "hostname": "hpmachine",
            "product": "ProLiant DL380 Gen9 (719061-B21)",
            "serial": "MXQ53804X4",
            "vendor": "HP",
            "version": None,
        },
        "motherboard": [
            {
                "description": "Motherboard",
                "product": None,
                "serial": None,
                "vendor": None,
                "version": None,
            }
        ],
        "storage_class_info": [
            {
                "businfo": "pci@0000:08:00.0",
                "driver": "hpsa",
                "has_children": True,
                "product": "Smart Array Gen9 Controllers",
                "vendor": "Hewlett-Packard Company",
            },
            {
                "businfo": "pci@0000:0b:00.0",
                "driver": "nvme",
                "has_children": False,
                "product": "PCIe Data Center SSD",
                "vendor": "Intel Corporation",
            },
        ],
        "disk_class_info": [],
        "network_class_info": [
            {
                "businfo": "pci@0000:05:00.0",
                "driver": "ixgbe",
                "driverversion": "4.2.1-k",
                "firmware": "0x800005ab",
                "logicalname": "ens1f0",
                "product": "Ethernet Controller 10-Gigabit X540-AT2",
                "serial": "de:ad:be:ef:00:ef",
                "speed": "10Gbit/s",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:05:00.1",
                "driver": "ixgbe",
                "driverversion": "4.2.1-k",
                "firmware": "0x800005ab",
                "logicalname": "ens1f1",
                "product": "Ethernet Controller 10-Gigabit X540-AT2",
                "serial": "de:ad:be:ef:00:ef",
                "speed": "10Gbit/s",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:04:00.0",
                "driver": "ixgbe",
                "driverversion": "4.2.1-k",
                "firmware": "0x800005ac",
                "logicalname": "eno49",
                "product": "Ethernet Controller 10-Gigabit X540-AT2",
                "serial": "de:ad:be:ef:00:ef",
                "speed": "10Gbit/s",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:04:00.1",
                "driver": "ixgbe",
                "driverversion": "4.2.1-k",
                "firmware": "0x800005ac",
                "logicalname": "eno50",
                "product": "Ethernet Controller 10-Gigabit X540-AT2",
                "serial": "de:ad:be:ef:00:ef",
                "speed": "10Gbit/s",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:02:00.0",
                "driver": "tg3",
                "driverversion": "3.137",
                "firmware": "5719-v1.41 NCSI v1.3.7.0",
                "logicalname": "eno1",
                "product": "NetXtreme BCM5719 Gigabit Ethernet PCIe",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Broadcom Corporation",
            },
            {
                "businfo": "pci@0000:02:00.1",
                "driver": "tg3",
                "driverversion": "3.137",
                "firmware": "5719-v1.41 NCSI v1.3.7.0",
                "logicalname": "eno2",
                "product": "NetXtreme BCM5719 Gigabit Ethernet PCIe",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Broadcom Corporation",
            },
            {
                "businfo": "pci@0000:02:00.2",
                "driver": "tg3",
                "driverversion": "3.137",
                "firmware": "5719-v1.41 NCSI v1.3.7.0",
                "logicalname": "eno3",
                "product": "NetXtreme BCM5719 Gigabit Ethernet PCIe",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Broadcom Corporation",
            },
            {
                "businfo": "pci@0000:02:00.3",
                "driver": "tg3",
                "driverversion": "3.137",
                "firmware": "5719-v1.41 NCSI v1.3.7.0",
                "logicalname": "eno4",
                "product": "NetXtreme BCM5719 Gigabit Ethernet PCIe",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Broadcom Corporation",
            },
        ],
    },
    "lshw.hpe.nonvme.json": {
        "system": {
            "description": "Rack Mount Chassis",
            "hostname": "lcpip-hcosmg01",
            "product": "ProLiant DL380 Gen10 (868706-B21)",
            "serial": "2M291303M6",
            "vendor": "HPE",
            "version": None,
        },
        "motherboard": [
            {
                "description": "Motherboard",
                "product": "ProLiant DL380 Gen10",
                "serial": "PFARA%%LMBR4ZT",
                "vendor": "HPE",
                "version": None,
            }
        ],
        "storage_class_info": [
            {
                "businfo": "pci@0000:5c:00.0",
                "driver": "smartpqi",
                "has_children": True,
                "product": "Smart Storage PQI 12G SAS/PCIe 3",
                "vendor": "Adaptec",
            }
        ],
        "disk_class_info": [
            {
                "businfo": "scsi@1:1.0.0",
                "dev": "8:0",
                "logicalname": "/dev/sda",
                "physid": "1.0.0",
                "product": "LOGICAL VOLUME",
                "serial": "PEYHC0DRHBU40M",
                "size": 8001529315328,
                "storage_parent": "Smart Storage PQI 12G SAS/PCIe 3",
            },
            {
                "businfo": "scsi@1:1.0.1",
                "dev": "8:16",
                "logicalname": "/dev/sdb",
                "physid": "1.0.1",
                "product": "LOGICAL VOLUME",
                "serial": "PEYHC0DRHBU40M",
                "size": 800131645440,
                "storage_parent": "Smart Storage PQI 12G SAS/PCIe 3",
            },
        ],
        "network_class_info": [
            {
                "businfo": "pci@0000:02:00.0",
                "driver": "tg3",
                "driverversion": "3.137",
                "firmware": "5719-v1.46 NCSI v1.5.1.0",
                "logicalname": "eno1",
                "product": "NetXtreme BCM5719 Gigabit Ethernet PCIe",
                "serial": "2e:77:1a:56:c8:fb",
                "speed": "1Gbit/s",
                "vendor": "Broadcom Inc. and subsidiaries",
            },
            {
                "businfo": "pci@0000:02:00.1",
                "driver": "tg3",
                "driverversion": "3.137",
                "firmware": "5719-v1.46 NCSI v1.5.1.0",
                "logicalname": "eno2",
                "product": "NetXtreme BCM5719 Gigabit Ethernet PCIe",
                "serial": "2e:77:1a:56:c8:fb",
                "speed": "1Gbit/s",
                "vendor": "Broadcom Inc. and subsidiaries",
            },
            {
                "businfo": "pci@0000:02:00.2",
                "driver": "tg3",
                "driverversion": "3.137",
                "firmware": "5719-v1.46 NCSI v1.5.1.0",
                "logicalname": "eno3",
                "product": "NetXtreme BCM5719 Gigabit Ethernet PCIe",
                "serial": "b8:83:03:52:42:26",
                "speed": None,
                "vendor": "Broadcom Inc. and subsidiaries",
            },
            {
                "businfo": "pci@0000:02:00.3",
                "driver": "tg3",
                "driverversion": "3.137",
                "firmware": "5719-v1.46 NCSI v1.5.1.0",
                "logicalname": "eno4",
                "product": "NetXtreme BCM5719 Gigabit Ethernet PCIe",
                "serial": "b8:83:03:52:42:27",
                "speed": None,
                "vendor": "Broadcom Inc. and subsidiaries",
            },
            {
                "businfo": "pci@0000:5d:00.0",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.23.8052 (HP_2690110034)",
                "logicalname": "eno5",
                "product": "MT27710 Family [ConnectX-4 Lx]",
                "serial": "a2:ce:45:45:2b:ea",
                "speed": None,
                "vendor": "Mellanox Technologies",
            },
            {
                "businfo": "pci@0000:5d:00.1",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.23.8052 (HP_2690110034)",
                "logicalname": "eno6",
                "product": "MT27710 Family [ConnectX-4 Lx]",
                "serial": "a2:ce:45:45:2b:ea",
                "speed": None,
                "vendor": "Mellanox Technologies",
            },
        ],
    },
    "lshw.huawei.json": {
        "system": {
            "description": "System",
            "hostname": "huaweimachine",
            "product": "RH2288H V3 (Type1Sku0)",
            "serial": "2102311GHG10G2000031",
            "vendor": "Huawei",
            "version": "V100R003",
        },
        "motherboard": [
            {
                "description": "Motherboard",
                "product": "BC11HGSA0",
                "serial": "022HLVCNFB004121",
                "vendor": "Huawei",
                "version": "V100R003",
            }
        ],
        "storage_class_info": [
            {
                "businfo": "pci@0000:01:00.0",
                "driver": "mpt3sas",
                "has_children": True,
                "product": "SAS2308 PCI-Express Fusion-MPT SAS-2",
                "vendor": "LSI Logic / Symbios Logic",
            },
            {
                "businfo": "pci@0000:03:00.0",
                "driver": "hio",
                "has_children": False,
                "product": None,
                "vendor": None,
            },
            {
                "businfo": "pci@0000:00:11.4",
                "driver": "ahci",
                "has_children": False,
                "product": "C610/X99 series chipset sSATA Controller [AHCI mode]",  # noqa E501
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:00:1f.2",
                "driver": "ahci",
                "has_children": False,
                "product": "C610/X99 series chipset 6-Port SATA Controller [AHCI mode]",  # noqa E501
                "vendor": "Intel Corporation",
            },
        ],
        "disk_class_info": [
            {
                "businfo": "scsi@0:0.0.0",
                "dev": "8:0",
                "logicalname": "/dev/sda",
                "physid": "0.0.0",
                "product": "HGST HUS724040AL",
                "serial": "PN1334PEJ6T0XS",
                "size": 4000787030016,
                "storage_parent": "SAS2308 PCI-Express Fusion-MPT SAS-2",
            },
            {
                "businfo": "scsi@0:0.1.0",
                "dev": "8:16",
                "logicalname": "/dev/sdb",
                "physid": "0.1.0",
                "product": "HGST HUS724040AL",
                "serial": "PN1334PEJ8L6XS",
                "size": 4000787030016,
                "storage_parent": "SAS2308 PCI-Express Fusion-MPT SAS-2",
            },
            {
                "businfo": "scsi@0:0.2.0",
                "dev": "8:32",
                "logicalname": "/dev/sdc",
                "physid": "0.2.0",
                "product": "HGST HUS724040AL",
                "serial": "PN1334PEJ93NES",
                "size": 4000787030016,
                "storage_parent": "SAS2308 PCI-Express Fusion-MPT SAS-2",
            },
            {
                "businfo": "scsi@0:0.3.0",
                "dev": "8:48",
                "logicalname": "/dev/sdd",
                "physid": "0.3.0",
                "product": "HGST HUS724040AL",
                "serial": "PN1334PEJ93J3S",
                "size": 4000787030016,
                "storage_parent": "SAS2308 PCI-Express Fusion-MPT SAS-2",
            },
            {
                "businfo": "scsi@0:0.4.0",
                "dev": "8:64",
                "logicalname": "/dev/sde",
                "physid": "0.4.0",
                "product": "HGST HUS724040AL",
                "serial": "PN1334PEJ6SZYS",
                "size": 4000787030016,
                "storage_parent": "SAS2308 PCI-Express Fusion-MPT SAS-2",
            },
            {
                "businfo": "scsi@0:0.5.0",
                "dev": "8:80",
                "logicalname": "/dev/sdf",
                "physid": "0.5.0",
                "product": "HGST HUS724040AL",
                "serial": "PN1334PEJ93MKS",
                "size": 4000787030016,
                "storage_parent": "SAS2308 PCI-Express Fusion-MPT SAS-2",
            },
            {
                "businfo": "scsi@0:0.6.0",
                "dev": "8:96",
                "logicalname": "/dev/sdg",
                "physid": "0.6.0",
                "product": "HGST HUS724040AL",
                "serial": "PN1334PEJ8L7TS",
                "size": 4000787030016,
                "storage_parent": "SAS2308 PCI-Express Fusion-MPT SAS-2",
            },
            {
                "businfo": "scsi@0:0.7.0",
                "dev": "8:112",
                "logicalname": "/dev/sdh",
                "physid": "0.7.0",
                "product": "HGST HUS724040AL",
                "serial": "PN1334PEJ8L85S",
                "size": 4000787030016,
                "storage_parent": "SAS2308 PCI-Express Fusion-MPT SAS-2",
            },
        ],
        "network_class_info": [
            {
                "businfo": "pci@0000:02:00.0",
                "driver": "igb",
                "driverversion": "5.4.0-k",
                "firmware": "1.63, 0x800009fa",
                "logicalname": "enp2s0f0",
                "product": "I350 Gigabit Network Connection",
                "serial": "de:ad:be:ef:00:ef",
                "speed": "1Gbit/s",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:02:00.1",
                "driver": "igb",
                "driverversion": "5.4.0-k",
                "firmware": "1.63, 0x800009fa",
                "logicalname": "enp2s0f1",
                "product": "I350 Gigabit Network Connection",
                "serial": "de:ad:be:ef:00:ef",
                "speed": "1Gbit/s",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:82:00.0",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.18.2000 (MT_2420110034)",
                "logicalname": "enp130s0f0",
                "product": "MT27710 Family [ConnectX-4 Lx]",
                "serial": "de:ad:be:ef:00:ef",
                "speed": "10Gbit/s",
                "vendor": "Mellanox Technologies",
            },
            {
                "businfo": "pci@0000:82:00.1",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.18.2000 (MT_2420110034)",
                "logicalname": "enp130s0f1",
                "product": "MT27710 Family [ConnectX-4 Lx]",
                "serial": "de:ad:be:ef:00:ef",
                "speed": "10Gbit/s",
                "vendor": "Mellanox Technologies",
            },
            {
                "businfo": "pci@0000:81:00.0",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.18.2000 (MT_2420110034)",
                "logicalname": "enp129s0f0",
                "product": "MT27710 Family [ConnectX-4 Lx]",
                "serial": "de:ad:be:ef:00:ef",
                "speed": "10Gbit/s",
                "vendor": "Mellanox Technologies",
            },
            {
                "businfo": "pci@0000:81:00.1",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.18.2000 (MT_2420110034)",
                "logicalname": "enp129s0f1",
                "product": "MT27710 Family [ConnectX-4 Lx]",
                "serial": "de:ad:be:ef:00:ef",
                "speed": "10Gbit/s",
                "vendor": "Mellanox Technologies",
            },
        ],
    },
    "lshw.supermicro.notools.json": {
        "system": {
            "description": "Computer",
            "hostname": "supermicro01",
            "product": "SYS-6029U-TR4T (To be filled by O.E.M.)",
            "serial": "E263684X8302310",
            "vendor": "Supermicro",
            "version": "0123456789",
        },
        "motherboard": [
            {
                "description": "Motherboard",
                "product": "X11DPU",
                "serial": "OM181S021896",
                "vendor": "Supermicro",
                "version": "1.10",
            }
        ],
        "storage_class_info": [
            {
                "businfo": "pci@0000:00:11.5",
                "driver": "ahci",
                "has_children": False,
                "product": "Lewisburg SSATA Controller [AHCI mode]",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:00:17.0",
                "driver": "ahci",
                "has_children": False,
                "product": "Lewisburg SATA Controller [AHCI mode]",
                "vendor": "Intel Corporation",
            },
        ],
        "disk_class_info": [],
        "network_class_info": [
            {
                "businfo": "pci@0000:18:00.0",
                "driver": "i40e",
                "driverversion": "2.1.14-k",
                "firmware": "6.01 0x800036f0 1.1861.0",
                "logicalname": "eno1",
                "product": "Ethernet Controller X710/X557-AT 10GBASE-T",
                "serial": "de:ad:be:ef:00:ef",
                "speed": "10Gbit/s",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:18:00.1",
                "driver": "i40e",
                "driverversion": "2.1.14-k",
                "firmware": "6.01 0x800036f0 1.1861.0",
                "logicalname": "eno2",
                "product": "Ethernet Controller X710/X557-AT 10GBASE-T",
                "serial": "de:ad:be:ef:00:ef",
                "speed": "10Gbit/s",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:18:00.2",
                "driver": "i40e",
                "driverversion": "2.1.14-k",
                "firmware": "6.01 0x800036f0 1.1861.0",
                "logicalname": "eno3",
                "product": "Ethernet Controller X710/X557-AT 10GBASE-T",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:18:00.3",
                "driver": "i40e",
                "driverversion": "2.1.14-k",
                "firmware": "6.01 0x800036f0 1.1861.0",
                "logicalname": "eno4",
                "product": "Ethernet Controller X710/X557-AT 10GBASE-T",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:af:00.0",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.1000 (SM_2001000001034)",
                "logicalname": "enp175s0f0",
                "product": "MT27710 Family [ConnectX-4 Lx]",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Mellanox Technologies",
            },
            {
                "businfo": "pci@0000:af:00.1",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.1000 (SM_2001000001034)",
                "logicalname": "enp175s0f1",
                "product": "MT27710 Family [ConnectX-4 Lx]",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Mellanox Technologies",
            },
            {
                "businfo": "pci@0000:d8:00.0",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.1000 (SM_2001000001034)",
                "logicalname": "enp216s0f0",
                "product": "MT27710 Family [ConnectX-4 Lx]",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Mellanox Technologies",
            },
            {
                "businfo": "pci@0000:d8:00.1",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.1000 (SM_2001000001034)",
                "logicalname": "enp216s0f1",
                "product": "MT27710 Family [ConnectX-4 Lx]",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Mellanox Technologies",
            },
        ],
    },
    "lshw.supermicro.nvme.json": {
        "system": {
            "description": "Computer",
            "hostname": "supermicro-nvme",
            "product": "SYS-2029U-TN24R4T (To be filled by O.E.M.)",
            "serial": "E264025X8400712",
            "vendor": "Supermicro",
            "version": "0123456789",
        },
        "motherboard": [
            {
                "description": "Motherboard",
                "product": "X11DPU",
                "serial": "OM183S019050",
                "vendor": "Supermicro",
                "version": "1.10",
            }
        ],
        "storage_class_info": [
            {
                "businfo": "pci@0000:00:11.5",
                "driver": "ahci",
                "has_children": False,
                "product": "Lewisburg SSATA Controller [AHCI mode]",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:00:17.0",
                "driver": "ahci",
                "has_children": False,
                "product": "Lewisburg SATA Controller [AHCI mode]",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:60:00.0",
                "driver": "nvme",
                "has_children": False,
                "product": "Intel Corporation",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:61:00.0",
                "driver": "nvme",
                "has_children": False,
                "product": "Intel Corporation",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:62:00.0",
                "driver": "nvme",
                "has_children": False,
                "product": "Intel Corporation",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:63:00.0",
                "driver": "nvme",
                "has_children": False,
                "product": "Intel Corporation",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:64:00.0",
                "driver": "nvme",
                "has_children": False,
                "product": "Intel Corporation",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:65:00.0",
                "driver": "nvme",
                "has_children": False,
                "product": "Intel Corporation",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:66:00.0",
                "driver": "nvme",
                "has_children": False,
                "product": "Intel Corporation",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:67:00.0",
                "driver": "nvme",
                "has_children": False,
                "product": "Intel Corporation",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:68:00.0",
                "driver": "nvme",
                "has_children": False,
                "product": "Intel Corporation",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:69:00.0",
                "driver": "nvme",
                "has_children": False,
                "product": "Intel Corporation",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:6a:00.0",
                "driver": "nvme",
                "has_children": False,
                "product": "Intel Corporation",
                "vendor": "Intel Corporation",
            },
        ],
        "disk_class_info": [],
        "network_class_info": [
            {
                "businfo": "pci@0000:18:00.0",
                "driver": "ixgbe",
                "driverversion": "5.1.0-k",
                "firmware": "0x800005f8",
                "logicalname": "eno1",
                "product": "Ethernet Controller 10G X550T",
                "serial": "de:ad:be:ef:00:ef",
                "speed": "10Gbit/s",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:18:00.1",
                "driver": "ixgbe",
                "driverversion": "5.1.0-k",
                "firmware": "0x800005f8",
                "logicalname": "eno2",
                "product": "Ethernet Controller 10G X550T",
                "serial": "de:ad:be:ef:00:ef",
                "speed": "10Gbit/s",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:19:00.0",
                "driver": "ixgbe",
                "driverversion": "5.1.0-k",
                "firmware": "0x800005f9",
                "logicalname": "eno3",
                "product": "Ethernet Controller 10G X550T",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:19:00.1",
                "driver": "ixgbe",
                "driverversion": "5.1.0-k",
                "firmware": "0x800005f9",
                "logicalname": "eno4",
                "product": "Ethernet Controller 10G X550T",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:3b:00.0",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "12.17.2020 (SM_2001000001033)",
                "logicalname": "enp59s0f0",
                "product": "MT27700 Family [ConnectX-4]",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Mellanox Technologies",
            },
            {
                "businfo": "pci@0000:3b:00.1",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "12.17.2020 (SM_2001000001033)",
                "logicalname": "enp59s0f1",
                "product": "MT27700 Family [ConnectX-4]",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Mellanox Technologies",
            },
            {
                "businfo": "pci@0000:d8:00.0",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.1000 (SM_2001000001034)",
                "logicalname": "enp216s0f0",
                "product": "MT27710 Family [ConnectX-4 Lx]",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Mellanox Technologies",
            },
            {
                "businfo": "pci@0000:d8:00.1",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.1000 (SM_2001000001034)",
                "logicalname": "enp216s0f1",
                "product": "MT27710 Family [ConnectX-4 Lx]",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Mellanox Technologies",
            },
        ],
    },
    "lshw.supermicro.sas.01.json": {
        "system": {
            "description": "Computer",
            "hostname": "supermicro-sas01",
            "product": "SYS-6029U-TR4T (To be filled by O.E.M.)",
            "serial": "E263684X8302334",
            "vendor": "Supermicro",
            "version": "0123456789",
        },
        "motherboard": [
            {
                "description": "Motherboard",
                "product": "X11DPU",
                "serial": "OM183S008126",
                "vendor": "Supermicro",
                "version": "1.10",
            }
        ],
        "storage_class_info": [
            {
                "businfo": "pci@0000:00:11.5",
                "driver": "ahci",
                "has_children": False,
                "product": "Lewisburg SSATA Controller [AHCI mode]",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:00:17.0",
                "driver": "ahci",
                "has_children": False,
                "product": "Lewisburg SATA Controller [AHCI mode]",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:1a:00.0",
                "driver": "nvme",
                "has_children": False,
                "product": "Intel Corporation",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:86:00.0",
                "driver": "mpt3sas",
                "has_children": True,
                "product": "SAS3008 PCI-Express Fusion-MPT SAS-3",
                "vendor": "LSI Logic / Symbios Logic",
            },
            {
                "businfo": "pci@0000:af:00.0",
                "driver": "mpt3sas",
                "has_children": True,
                "product": "SAS3008 PCI-Express Fusion-MPT SAS-3",
                "vendor": "LSI Logic / Symbios Logic",
            },
        ],
        "disk_class_info": [
            {
                "businfo": "scsi@0:0.0.0",
                "dev": "8:0",
                "logicalname": "/dev/sda",
                "physid": "0.0.0",
                "product": "HUS726060AL5210",
                "serial": "K1HX9AJD",
                "size": 6001175126016,
                "storage_parent": "SAS3008 PCI-Express Fusion-MPT SAS-3",
            },
            {
                "businfo": "scsi@0:0.1.0",
                "dev": "8:16",
                "logicalname": "/dev/sdb",
                "physid": "0.1.0",
                "product": "HUS726060AL5210",
                "serial": "K1HXJ44F",
                "size": 6001175126016,
                "storage_parent": "SAS3008 PCI-Express Fusion-MPT SAS-3",
            },
            {
                "businfo": "scsi@0:0.2.0",
                "dev": "8:32",
                "logicalname": "/dev/sdc",
                "physid": "0.2.0",
                "product": "HUS726060AL5210",
                "serial": "K1HWXPJD",
                "size": 6001175126016,
                "storage_parent": "SAS3008 PCI-Express Fusion-MPT SAS-3",
            },
            {
                "businfo": "scsi@0:0.3.0",
                "dev": "8:48",
                "logicalname": "/dev/sdd",
                "physid": "0.3.0",
                "product": "HUS726060AL5210",
                "serial": "K1HXJ6YF",
                "size": 6001175126016,
                "storage_parent": "SAS3008 PCI-Express Fusion-MPT SAS-3",
            },
            {
                "businfo": "scsi@0:0.4.0",
                "dev": "8:64",
                "logicalname": "/dev/sde",
                "physid": "0.4.0",
                "product": "HUS726060AL5210",
                "serial": "K1HWXPDD",
                "size": 6001175126016,
                "storage_parent": "SAS3008 PCI-Express Fusion-MPT SAS-3",
            },
            {
                "businfo": "scsi@0:0.5.0",
                "dev": "8:80",
                "logicalname": "/dev/sdf",
                "physid": "0.5.0",
                "product": "HUS726060AL5210",
                "serial": "K1HXJLUF",
                "size": 6001175126016,
                "storage_parent": "SAS3008 PCI-Express Fusion-MPT SAS-3",
            },
            {
                "businfo": "scsi@0:0.6.0",
                "dev": "8:96",
                "logicalname": "/dev/sdg",
                "physid": "0.6.0",
                "product": "HUS726060AL5210",
                "serial": "K1HWXPYD",
                "size": 6001175126016,
                "storage_parent": "SAS3008 PCI-Express Fusion-MPT SAS-3",
            },
            {
                "businfo": "scsi@0:0.7.0",
                "dev": "8:112",
                "logicalname": "/dev/sdh",
                "physid": "0.7.0",
                "product": "HUS726060AL5210",
                "serial": "K1HWXP4D",
                "size": 6001175126016,
                "storage_parent": "SAS3008 PCI-Express Fusion-MPT SAS-3",
            },
            {
                "businfo": "scsi@1:0.2.0",
                "dev": "8:160",
                "logicalname": "/dev/sdk",
                "physid": "0.2.0",
                "product": "ST6000NM0095",
                "serial": "ZAD4S0DW0000C843M2UC",
                "size": 6001175126016,
                "storage_parent": "SAS3008 PCI-Express Fusion-MPT SAS-3",
            },
            {
                "businfo": "scsi@1:0.0.0",
                "dev": "8:128",
                "logicalname": "/dev/sdi",
                "physid": "0.0.0",
                "product": "HUS726060AL5210",
                "serial": "K1HWGU9D",
                "size": 6001175126016,
                "storage_parent": "SAS3008 PCI-Express Fusion-MPT SAS-3",
            },
            {
                "businfo": "scsi@1:0.1.0",
                "dev": "8:144",
                "logicalname": "/dev/sdj",
                "physid": "0.1.0",
                "product": "ST6000NM0095",
                "serial": "ZAD4S0A50000C8432082",
                "size": 6001175126016,
                "storage_parent": "SAS3008 PCI-Express Fusion-MPT SAS-3",
            },
        ],
        "network_class_info": [
            {
                "businfo": "pci@0000:18:00.0",
                "driver": "i40e",
                "driverversion": "2.1.14-k",
                "firmware": "6.01 0x800036f0 1.1861.0",
                "logicalname": "eno1",
                "product": "Ethernet Controller X710/X557-AT 10GBASE-T",
                "serial": "de:ad:be:ef:00:ef",
                "speed": "10Gbit/s",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:18:00.1",
                "driver": "i40e",
                "driverversion": "2.1.14-k",
                "firmware": "6.01 0x800036f0 1.1861.0",
                "logicalname": "eno2",
                "product": "Ethernet Controller X710/X557-AT 10GBASE-T",
                "serial": "de:ad:be:ef:00:ef",
                "speed": "10Gbit/s",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:18:00.2",
                "driver": "i40e",
                "driverversion": "2.1.14-k",
                "firmware": "6.01 0x800036f0 1.1861.0",
                "logicalname": "eno3",
                "product": "Ethernet Controller X710/X557-AT 10GBASE-T",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:18:00.3",
                "driver": "i40e",
                "driverversion": "2.1.14-k",
                "firmware": "6.01 0x800036f0 1.1861.0",
                "logicalname": "eno4",
                "product": "Ethernet Controller X710/X557-AT 10GBASE-T",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:3b:00.0",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "12.17.2020 (SM_2001000001033)",
                "logicalname": "enp59s0f0",
                "product": "MT27700 Family [ConnectX-4]",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Mellanox Technologies",
            },
            {
                "businfo": "pci@0000:3b:00.1",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "12.17.2020 (SM_2001000001033)",
                "logicalname": "enp59s0f1",
                "product": "MT27700 Family [ConnectX-4]",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Mellanox Technologies",
            },
            {
                "businfo": "pci@0000:d8:00.0",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.1000 (SM_2001000001034)",
                "logicalname": "enp216s0f0",
                "product": "MT27710 Family [ConnectX-4 Lx]",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Mellanox Technologies",
            },
            {
                "businfo": "pci@0000:d8:00.1",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.1000 (SM_2001000001034)",
                "logicalname": "enp216s0f1",
                "product": "MT27710 Family [ConnectX-4 Lx]",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Mellanox Technologies",
            },
        ],
    },
    "lshw.supermicro.sas.02.json": {
        "system": {
            "description": "Computer",
            "hostname": "supermicro-sas02",
            "product": "SYS-6028U-TR4+ (Default string)",
            "serial": "S16512428221502",
            "vendor": "Supermicro",
            "version": "0123456789",
        },
        "motherboard": [
            {
                "description": "Motherboard",
                "product": "X10DRU-i+",
                "serial": "OM17CS000182",
                "vendor": "Supermicro",
                "version": "1.02B",
            }
        ],
        "storage_class_info": [
            {
                "businfo": "pci@0000:03:00.0",
                "driver": "mpt3sas",
                "has_children": True,
                "product": "SAS3008 PCI-Express Fusion-MPT SAS-3",
                "vendor": "LSI Logic / Symbios Logic",
            },
            {
                "businfo": "pci@0000:00:11.4",
                "driver": "ahci",
                "has_children": False,
                "product": "C610/X99 series chipset sSATA Controller [AHCI mode]",  # noqa E501
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:00:1f.2",
                "driver": "ahci",
                "has_children": False,
                "product": "C610/X99 series chipset 6-Port SATA Controller [AHCI mode]",  # noqa E501
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:81:00.0",
                "driver": "nvme",
                "has_children": False,
                "product": "NVMe SSD Controller SM961/PM961",
                "vendor": "Samsung Electronics Co Ltd",
            },
            {
                "businfo": "pci@0000:82:00.0",
                "driver": "nvme",
                "has_children": False,
                "product": "NVMe SSD Controller SM961/PM961",
                "vendor": "Samsung Electronics Co Ltd",
            },
        ],
        "disk_class_info": [
            {
                "businfo": "scsi@10:0.0.0",
                "dev": None,
                "logicalname": None,
                "physid": "0.0.0",
                "product": "ST4000NM115-1YZ1",
                "serial": "ZC10Z0XQ",
                "size": None,
                "storage_parent": "SAS3008 PCI-Express Fusion-MPT SAS-3",
            },
            {
                "businfo": "scsi@10:1.0.0",
                "dev": "8:0",
                "logicalname": "/dev/sda",
                "physid": "1.0.0",
                "product": "Logical Volume",
                "serial": "3589195262245447776",
                "size": 3999999721472,
                "storage_parent": "SAS3008 PCI-Express Fusion-MPT SAS-3",
            },
            {
                "businfo": "scsi@10:0.1.0",
                "dev": None,
                "logicalname": None,
                "physid": "0.1.0",
                "product": "ST4000NM115-1YZ1",
                "serial": "ZC10Z0ZL",
                "size": None,
                "storage_parent": "SAS3008 PCI-Express Fusion-MPT SAS-3",
            },
            {
                "businfo": "scsi@10:0.2.0",
                "dev": "8:16",
                "logicalname": "/dev/sdb",
                "physid": "0.2.0",
                "product": "ST4000NM115-1YZ1",
                "serial": "ZC10YVHJ",
                "size": 4000787030016,
                "storage_parent": "SAS3008 PCI-Express Fusion-MPT SAS-3",
            },
            {
                "businfo": "scsi@10:0.3.0",
                "dev": "8:32",
                "logicalname": "/dev/sdc",
                "physid": "0.3.0",
                "product": "ST4000NM115-1YZ1",
                "serial": "ZC10XX97",
                "size": 4000787030016,
                "storage_parent": "SAS3008 PCI-Express Fusion-MPT SAS-3",
            },
            {
                "businfo": "scsi@10:0.4.0",
                "dev": "8:48",
                "logicalname": "/dev/sdd",
                "physid": "0.4.0",
                "product": "ST4000NM115-1YZ1",
                "serial": "ZC10SFX1",
                "size": 4000787030016,
                "storage_parent": "SAS3008 PCI-Express Fusion-MPT SAS-3",
            },
            {
                "businfo": "scsi@10:0.5.0",
                "dev": "8:64",
                "logicalname": "/dev/sde",
                "physid": "0.5.0",
                "product": "ST4000NM115-1YZ1",
                "serial": "ZC10YVK1",
                "size": 4000787030016,
                "storage_parent": "SAS3008 PCI-Express Fusion-MPT SAS-3",
            },
        ],
        "network_class_info": [
            {
                "businfo": "pci@0000:01:00.0",
                "driver": "igb",
                "driverversion": "5.3.0-k",
                "firmware": "1.63, 0x800009fa",
                "logicalname": "enp1s0f0",
                "product": "I350 Gigabit Network Connection",
                "serial": "de:ad:be:ef:00:ef",
                "speed": "1Gbit/s",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:01:00.1",
                "driver": "igb",
                "driverversion": "5.3.0-k",
                "firmware": "1.63, 0x800009fa",
                "logicalname": "enp1s0f1",
                "product": "I350 Gigabit Network Connection",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:01:00.2",
                "driver": "igb",
                "driverversion": "5.3.0-k",
                "firmware": "1.63, 0x800009fa",
                "logicalname": "enp1s0f2",
                "product": "I350 Gigabit Network Connection",
                "serial": "de:ad:be:ef:00:ef",
                "speed": "1Gbit/s",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:01:00.3",
                "driver": "igb",
                "driverversion": "5.3.0-k",
                "firmware": "1.63, 0x800009fa",
                "logicalname": "enp1s0f3",
                "product": "I350 Gigabit Network Connection",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:83:00.0",
                "driver": "ixgbe",
                "driverversion": "4.2.1-k",
                "firmware": "0x800006da",
                "logicalname": "enp131s0f0",
                "product": "82599ES 10-Gigabit SFI/SFP+ Network Connection",
                "serial": "de:ad:be:ef:00:ef",
                "speed": "10Gbit/s",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:83:00.1",
                "driver": "ixgbe",
                "driverversion": "4.2.1-k",
                "firmware": "0x800006da",
                "logicalname": "enp131s0f1",
                "product": "82599ES 10-Gigabit SFI/SFP+ Network Connection",
                "serial": "de:ad:be:ef:00:ef",
                "speed": "10Gbit/s",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:84:00.0",
                "driver": "ixgbe",
                "driverversion": "4.2.1-k",
                "firmware": "0x800006da",
                "logicalname": "ens4f0",
                "product": "82599ES 10-Gigabit SFI/SFP+ Network Connection",
                "serial": "de:ad:be:ef:00:ef",
                "speed": "10Gbit/s",
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:84:00.1",
                "driver": "ixgbe",
                "driverversion": "4.2.1-k",
                "firmware": "0x800006da",
                "logicalname": "ens4f1",
                "product": "82599ES 10-Gigabit SFI/SFP+ Network Connection",
                "serial": "de:ad:be:ef:00:ef",
                "speed": "10Gbit/s",
                "vendor": "Intel Corporation",
            },
        ],
    },
    "lshw-focal.dell.01.json": {
        "system": {
            "description": "Rack Mount Chassis",
            "hostname": "compute-4",
            "product": "PowerEdge R730 (SKU=NotProvided;ModelName=PowerEdge R730, DBE)",
            # noqa E501
            "serial": "3YMGWL2",
            "vendor": "Dell Inc.",
            "version": None,
        },
        "motherboard": [
            {
                "description": "Motherboard",
                "product": "04N3DF",
                "serial": ".3YMGWL2.CNFCP0077F0059.",
                "vendor": "Dell Inc.",
                "version": "A10",
            }
        ],
        "storage_class_info": [
            {
                "businfo": "pci@0000:03:00.0",
                "driver": "megaraid_sas",
                "has_children": True,
                "product": "MegaRAID SAS-3 3108 [Invader]",
                "vendor": "LSI Logic / Symbios Logic",
            },
            {
                "businfo": "pci@0000:00:11.4",
                "driver": "ahci",
                "has_children": False,
                "product": "C610/X99 series chipset sSATA Controller [AHCI mode]",
                # noqa E501
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:00:1f.2",
                "driver": "ahci",
                "has_children": False,
                "product": "C610/X99 series chipset 6-Port SATA Controller [AHCI mode]",
                # noqa E501
                "vendor": "Intel Corporation",
            },
            {
                "businfo": "pci@0000:82:00.0",
                "driver": "nvme",
                "has_children": False,
                "product": "PCIe Data Center SSD",
                "vendor": "Intel Corporation",
            },
        ],
        "disk_class_info": [
            {
                "businfo": "scsi@0:2.0.0",
                "dev": "8:0",
                "logicalname": "/dev/sda",
                "physid": "2.0.0",
                "product": "PERC H730P Mini",
                "serial": "00174c7006cbabeb2100aa7515604609",
                "size": 4000225165312,
                "storage_parent": "MegaRAID SAS-3 3108 [Invader]",
            },
            {
                "businfo": "scsi@0:2.1.0",
                "dev": "8:16",
                "logicalname": "/dev/sdb",
                "physid": "2.1.0",
                "product": "PERC H730P Mini",
                "serial": "00f7e28406ccabeb2100aa7515604609",
                "size": 4000225165312,
                "storage_parent": "MegaRAID SAS-3 3108 [Invader]",
            },
            {
                "businfo": "scsi@0:2.2.0",
                "dev": "8:32",
                "logicalname": "/dev/sdc",
                "physid": "2.2.0",
                "product": "PERC H730P Mini",
                "serial": "0024b29406cdabeb2100aa7515604609",
                "size": 4000225165312,
                "storage_parent": "MegaRAID SAS-3 3108 [Invader]",
            },
            {
                "businfo": "scsi@0:2.3.0",
                "dev": "8:48",
                "logicalname": "/dev/sdd",
                "physid": "2.3.0",
                "product": "PERC H730P Mini",
                "serial": "007a79a506ceabeb2100aa7515604609",
                "size": 4000225165312,
                "storage_parent": "MegaRAID SAS-3 3108 [Invader]",
            },
            {
                "businfo": "scsi@0:2.4.0",
                "dev": "8:64",
                "logicalname": ["/dev/sde", "/srv/node/sde"],
                "physid": "2.4.0",
                "product": "PERC H730P Mini",
                "serial": "0005ebba06cfabeb2100aa7515604609",
                "size": 4000225165312,
                "storage_parent": "MegaRAID SAS-3 3108 [Invader]",
            },
            {
                "businfo": "scsi@0:2.5.0",
                "dev": "8:80",
                "logicalname": ["/dev/sdf", "/srv/node/sdf"],
                "physid": "2.5.0",
                "product": "PERC H730P Mini",
                "serial": "005c35cc06d1abeb2100aa7515604609",
                "size": 4000225165312,
                "storage_parent": "MegaRAID SAS-3 3108 [Invader]",
            },
            {
                "businfo": "scsi@0:2.6.0",
                "dev": "8:96",
                "logicalname": ["/dev/sdg", "/srv/node/sdg"],
                "physid": "2.6.0",
                "product": "PERC H730P Mini",
                "serial": "00e046dd06d2abeb2100aa7515604609",
                "size": 4000225165312,
                "storage_parent": "MegaRAID SAS-3 3108 [Invader]",
            },
        ],
        "network_class_info": [
            {
                "businfo": "pci@0000:01:00.0",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "eno1",
                "product": "MT27710 Family [ConnectX-4 Lx]",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Mellanox Technologies",
            },
            {
                "businfo": "pci@0000:01:00.1",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "eno2",
                "product": "MT27710 Family [ConnectX-4 Lx]",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Mellanox Technologies",
            },
            {
                "businfo": "pci@0000:01:02.6",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s2f6",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:02.7",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s2f7",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:03.0",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s3",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:03.1",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s3f1",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:03.2",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s3f2",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:03.3",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s3f3",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:03.4",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s3f4",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:03.5",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s3f5",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:03.6",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s3f6",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:03.7",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s3f7",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:04.0",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s4",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:04.1",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s4f1",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:04.2",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s4f2",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:04.3",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s4f3",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:04.4",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s4f4",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:04.5",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s4f5",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:04.6",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s4f6",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:04.7",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s4f7",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:05.0",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s5",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:01:05.1",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2810000034)",
                "logicalname": "enp1s5f1",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:00.0",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s0f0",
                "product": "MT27710 Family [ConnectX-4 Lx]",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Mellanox Technologies",
            },
            {
                "businfo": "pci@0000:83:00.1",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s0f1",
                "product": "MT27710 Family [ConnectX-4 Lx]",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Mellanox Technologies",
            },
            {
                "businfo": "pci@0000:83:02.6",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s2f6",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:02.7",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s2f7",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:03.0",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s3",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:03.1",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s3f1",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:03.2",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s3f2",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:03.3",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s3f3",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:03.4",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s3f4",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:03.5",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s3f5",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:03.6",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s3f6",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:03.7",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s3f7",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:04.0",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s4",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:04.1",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s4f1",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:04.2",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s4f2",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:04.3",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s4f3",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:04.4",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s4f4",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:04.5",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s4f5",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:04.6",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s4f6",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:04.7",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s4f7",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:05.0",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s5",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
            {
                "businfo": "pci@0000:83:05.1",
                "driver": "mlx5_core",
                "driverversion": "5.0-0",
                "firmware": "14.21.3012 (DEL2420110034)",
                "logicalname": "enp131s5f1",
                "product": "Illegal Vendor ID",
                "serial": "de:ad:be:ef:00:ef",
                "speed": None,
                "vendor": "Illegal Vendor ID",
            },
        ],
    },
}
