import io
import os
import sys
import unittest
import unittest.mock as mock

sys.path.append(os.path.join(os.path.dirname(__file__), "../../files/sas3ircu"))
import check_sas3ircu  # noqa: E402

sys.path.append(os.path.join(os.path.dirname(__file__), "lib"))
from samples import get_sample  # noqa: E402


class TestCheckMegaCLI(unittest.TestCase):
    @mock.patch("sys.stdout", new_callable=io.StringIO)
    def test_parse_output_ok(self, mock_print):
        _filepath = get_sample("sas3ircu.supermicro.ok.output.1")
        data = check_sas3ircu.parse_output(_filepath)
        check_sas3ircu.eval_status(data)
        actual = mock_print.getvalue()
        expected = "OK: no errors\n"
        self.assertEqual(actual, expected)
